package springmvc.repo;

import java.util.List;

import springmvc.domain.Member;
import springmvc.util.IGenericDAO;

public interface MemberDao extends IGenericDAO<Member, Long>
{
    public Member findById(Long id);

    public Member findByEmail(String email);

    public List<Member> findAllOrderedByName();

    public void register(Member member);
}
